Name:           wxsqlite3
Version:        2.1.3
Release:        1%{?dist}
Summary:        C++ wrapper around the SQLite 3.x database

Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxsqlite3/
Source0:        http://downloads.sourceforge.net/wxcode/%{name}-%{version}.tar.gz
# don't build the included wxSQLite+ application
Patch0:         %{name}-2.1.0-no-dbadmin.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel


%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and is
specifically designed for use in programs based on the wxWidgets library.
wxSQLite3 does not try to hide the underlying database, in contrary almost all
special features of the current SQLite3 version 3.6.22 are supported, like for
example the creation of user defined scalar or aggregate functions. Since
SQLite stores strings in UTF-8 encoding, the wxSQLite3 methods provide
automatic conversion between wxStrings and UTF-8 strings. This works best for
the Unicode builds of wxWidgets. In ANSI builds the current locale conversion
object (wxConvCurrent) is used for conversion to/from UTF-8. Special care has
to be taken if external administration tools are used to modify the database
contents, since not all of these tools operate in Unicode resp. UTF-8 mode.
wxSQLite3 includes an optional extension for SQLite supporting key based
database file encryption using 128 bit AES encryption. Starting with version
1.9.6 of wxSQLite3 the encryption extension is compatible with the SQLite
amalgamation source. Experimental support for 256 bit AES encryption has been
added in version 1.9.8.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       wxGTK-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .no-db-admin

# fix permissions
find . -type f -exec chmod a-x {} \;
chmod 0755 configure


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENCE.txt Readme.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html
%{_includedir}/wx/*
%{_libdir}/*.so


%changelog
* Tue Aug 30 2011 Dan Horák <dan[at]danny.cz> 2.1.3-1
- updated to 2.1.3

* Sat Apr 23 2011 Dan Horák <dan[at]danny.cz> 2.1.1-1
- updated to 2.1.1

* Thu Apr 14 2011 Dan Horák <dan[at]danny.cz> 2.1.0-1
- updated to 2.1.0

* Sun Dec 12 2010 Dan Horák <dan[at]danny.cz> 2.0.2-1
- updated to 2.0.2

* Mon Nov  1 2010 Dan Horák <dan[at]danny.cz> 2.0.1-1
- updated to 2.0.1

* Tue Aug 10 2010 Dan Horák <dan[at]danny.cz> 2.0.0.1-1
- updated to 2.0.0.1

* Sat Jul 24 2010 Dan Horák <dan[at]danny.cz> 2.0.0-1
- updated to 2.0.0

* Mon Mar 22 2010 Dan Horák <dan[at]danny.cz> 1.9.9-1
- updated to 1.9.9

* Sun Feb 14 2010 Dan Horák <dan[at]danny.cz> 1.9.8-1
- initial Fedora version
